%global sname deepin-preload
%global debug_package   %{nil}

Name:           dde-preload
Version:        5.1.1
Release:        1%{?dist}
Summary:        Deepin desktop-environment - preload module
License:        GPLv3
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{name}-%{version}.tar.gz	

BuildRequires:  cmake
BuildRequires:  dtkwidget-devel
BuildRequires:  pkgconfig(dtkcore)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}


%description
%{summary}.

%package devel
Summary:        Development package for %{sname}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{sname}.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DWITHOUT_UNINSTALL_APP=1 .
%make_build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/dbus-1/services
ln -sf build/dde-preload %{buildroot}/%{_bindir}/dde-preload
ln -sf build/dde-preload-test %{buildroot}/%{_bindir}/dde-preload-test
install -m644 com.deepin.dde.preload.service %{buildroot}/%{_datadir}/dbus-1/services
install -d %{buildroot}/etc/xdg/autostart/
cat > %{buildroot}/etc/xdg/autostart/dde-preload.desktop <<EOF
[Desktop Entry]
Name=dde-preload
Exec=/usr/bin/dde-preload
NoDisplay=true
Terminal=flase
Type=Application
EOF

%files
%{_bindir}/dde-preload
%{_bindir}/dde-preload-test
%{_datadir}/dbus-1/services/com.deepin.dde.preload.service
/etc/xdg/autostart/dde-preload.desktop

%changelog
* Tue Apr 20 2021 uoser <uoser@uniontech.com> - 5.1.1-1
- update to 5.1.1
